Package com.sap.ai.sdk.core.client

# Class ResourceQuotaApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.core.client.ResourceQuotaApi

public class ResourceQuotaApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
AI Core in version 2.42.0.

Provides tools to manage your scenarios and workflows in SAP AI Core. Execute pipelines as a batch job, for example to pre-process or train your models, or perform batch inference. Serve inference requests of trained models. Deploy а trained machine learning model as a web service to serve inference requests with high performance. Register your own Docker registry, synchronize your AI content from your own git repository, and register your own object store for training data and trained models.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceQuotaApi()`
  Instantiates this API class to invoke operations on the AI Core
  `ResourceQuotaApi(AiCoreService aiCoreService)`
  Instantiates this API class to invoke operations on the AI Core

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndCommonResourceQuotaResponse`
  `getApplicationQuota()`
  Get the quota for applications
  `BckndCommonResourceQuotaResponse`
  `getApplicationQuota(String authorization, Boolean quotaOnly)`
  Get the quota for applications
  `BckndDeploymentResourceQuotaResponse`
  `getDeploymentQuota()`
  Get the quota for deployments
  `BckndDeploymentResourceQuotaResponse`
  `getDeploymentQuota(String authorization, Boolean quotaOnly)`
  Get the quota for deployments
  `BckndCommonResourceQuotaResponse`
  `getDockerRegistrySecretQuota()`
  Get the quota for docker registry secrets
  `BckndCommonResourceQuotaResponse`
  `getDockerRegistrySecretQuota(String authorization, Boolean quotaOnly)`
  Get the quota for docker registry secrets
  `BckndExecutableResourceQuotaResponse`
  `getExecutableQuota()`
  Get the quota for executables
  `BckndExecutableResourceQuotaResponse`
  `getExecutableQuota(String authorization, Boolean quotaOnly)`
  Get the quota for executables
  `BckndCommonResourceQuotaResponse`
  `getGenericSecretQuota()`
  Get the quota for tenant-scoped or tenant-wide generic secrets
  `BckndCommonResourceQuotaResponse`
  `getGenericSecretQuota(String authorization, Boolean quotaOnly, String aiResourceGroup, Boolean aiTenantScope)`
  Get the quota for tenant-scoped or tenant-wide generic secrets
  `BckndCommonResourceQuotaResponse`
  `getRepositoryQuota()`
  Get the quota for repositories
  `BckndCommonResourceQuotaResponse`
  `getRepositoryQuota(String authorization, Boolean quotaOnly)`
  Get the quota for repositories
  `BckndCommonResourceQuotaResponse`
  `getResourceGroupQuota()`
  Get the quota for resource groups
  `BckndCommonResourceQuotaResponse`
  `getResourceGroupQuota(String authorization, Boolean quotaOnly)`
  Get the quota for resource groups
  `ResourceQuotaApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceQuotaApi

    public ResourceQuotaApi()
    Instantiates this API class to invoke operations on the AI Core

  - ### ResourceQuotaApi

    public ResourceQuotaApi(@Nonnull AiCoreService aiCoreService)
    Instantiates this API class to invoke operations on the AI Core
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core

- ## Method Details

  - ### withDefaultHeaders

    public ResourceQuotaApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### getApplicationQuota

    @Nonnull public BckndCommonResourceQuotaResponse getApplicationQuota(@Nullable String authorization, @Nullable Boolean quotaOnly) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for applications

    Get the details about quota and usage for applications

    200 - quota for applications

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `quotaOnly` - (optional) When being set to true, the response contains only the quota of the resource and not the quota usage.
    Returns:
      BckndCommonResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getApplicationQuota

    @Nonnull public BckndCommonResourceQuotaResponse getApplicationQuota() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for applications

    Get the details about quota and usage for applications

    200 - quota for applications

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndCommonResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getDeploymentQuota

    @Nonnull public BckndDeploymentResourceQuotaResponse getDeploymentQuota(@Nullable String authorization, @Nullable Boolean quotaOnly) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for deployments

    Get the details about quota and usage for deployments

    200 - A resource quota object

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `quotaOnly` - (optional) When being set to true, the response contains only the quota of the resource and not the quota usage.
    Returns:
      BckndDeploymentResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getDeploymentQuota

    @Nonnull public BckndDeploymentResourceQuotaResponse getDeploymentQuota() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for deployments

    Get the details about quota and usage for deployments

    200 - A resource quota object

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndDeploymentResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getDockerRegistrySecretQuota

    @Nonnull public BckndCommonResourceQuotaResponse getDockerRegistrySecretQuota(@Nullable String authorization, @Nullable Boolean quotaOnly) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for docker registry secrets

    Get the details about quota and usage for docker registry secrets

    200 - quota for generic secrets on the tenant level

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `quotaOnly` - (optional) When being set to true, the response contains only the quota of the resource and not the quota usage.
    Returns:
      BckndCommonResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getDockerRegistrySecretQuota

    @Nonnull public BckndCommonResourceQuotaResponse getDockerRegistrySecretQuota() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for docker registry secrets

    Get the details about quota and usage for docker registry secrets

    200 - quota for generic secrets on the tenant level

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndCommonResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getExecutableQuota

    @Nonnull public BckndExecutableResourceQuotaResponse getExecutableQuota(@Nullable String authorization, @Nullable Boolean quotaOnly) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for executables

    Get the details about quota and usage for executables

    200 - quota for executable

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `quotaOnly` - (optional) When being set to true, the response contains only the quota of the resource and not the quota usage.
    Returns:
      BckndExecutableResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getExecutableQuota

    @Nonnull public BckndExecutableResourceQuotaResponse getExecutableQuota() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for executables

    Get the details about quota and usage for executables

    200 - quota for executable

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndExecutableResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getGenericSecretQuota

    @Nonnull public BckndCommonResourceQuotaResponse getGenericSecretQuota(@Nullable String authorization, @Nullable Boolean quotaOnly, @Nullable String aiResourceGroup, @Nullable Boolean aiTenantScope) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for tenant-scoped or tenant-wide generic secrets

    Get the details about quota and usage for tenant-scoped or tenant-wide generic secrets

    200 - quota for generic secrets on the tenant level

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `quotaOnly` - (optional) When being set to true, the response contains only the quota of the resource and not the quota usage.
      `aiResourceGroup` - (optional) Specify an existing resource group id to use
      `aiTenantScope` - (optional) Specify whether the main tenant scope is to be used
    Returns:
      BckndCommonResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getGenericSecretQuota

    @Nonnull public BckndCommonResourceQuotaResponse getGenericSecretQuota() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for tenant-scoped or tenant-wide generic secrets

    Get the details about quota and usage for tenant-scoped or tenant-wide generic secrets

    200 - quota for generic secrets on the tenant level

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndCommonResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getRepositoryQuota

    @Nonnull public BckndCommonResourceQuotaResponse getRepositoryQuota(@Nullable String authorization, @Nullable Boolean quotaOnly) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for repositories

    Get the details about quota and usage for repositories

    200 - quota for repositories

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `quotaOnly` - (optional) When being set to true, the response contains only the quota of the resource and not the quota usage.
    Returns:
      BckndCommonResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getRepositoryQuota

    @Nonnull public BckndCommonResourceQuotaResponse getRepositoryQuota() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for repositories

    Get the details about quota and usage for repositories

    200 - quota for repositories

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndCommonResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getResourceGroupQuota

    @Nonnull public BckndCommonResourceQuotaResponse getResourceGroupQuota(@Nullable String authorization, @Nullable Boolean quotaOnly) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for resource groups

    Get the details about quota and usage for resource groups

    200 - quota for resourcegroups

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `quotaOnly` - (optional) When being set to true, the response contains only the quota of the resource and not the quota usage.
    Returns:
      BckndCommonResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getResourceGroupQuota

    @Nonnull public BckndCommonResourceQuotaResponse getResourceGroupQuota() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get the quota for resource groups

    Get the details about quota and usage for resource groups

    200 - quota for resourcegroups

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndCommonResourceQuotaResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API